Subject: [Dime] FW:draft-kamble-dime-mip6-ha-aaa-00.txt

From: "Ram O V Vishnu-A14676" <[email-masked]>
Date: Wed, 25 Oct 2006 15:08:02 +0800

Hi,

We have put together some thoughts on the HA-AAA interface for mip6
(http://www.ietf.org/internet-drafts/draft-kamble-dime-mip6-ha-aaa-00.tx
t).

Please take a look & comment.

Regards,
Vishnu.

Motorola
+91 9844178052
[*] General
[] Motorola Internal Use Only

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, October 19, 2006 4:20 AM
To: [email-masked]
Subject: I-D ACTION:draft-kamble-dime-mip6-ha-aaa-00.txt 

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.

	Title		: HA-AAA Diameter interface for MIP6 
	Author(s)	: V. Kamble
	Filename	: draft-kamble-dime-mip6-ha-aaa-00.txt
	Pages		: 10
	Date		: 2006-10-18
	
   This document specifies a Diameter application between AAAH and HA 
   that allows authentication, authorization and accounting for Mobile 
   IPv6 services. Further, this interface could also be used for 
   bootstrapping of MIPv6. 

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-kamble-dime-mip6-ha-aaa-00.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-kamble-dime-mip6-ha-aaa-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-kamble-dime-mip6-ha-aaa-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: "Tschofenig, Hannes" <[email-masked]>
Date: Wed, 25 Oct 2006 09:42:39 +0200

Hi Vishnu, 

how does your draft relate to the ongoing Diameter mobility work?

Ciao
Hannes

> -----Ursprüngliche Nachricht-----
> Von: Ram O V Vishnu-A14676 [mailto:[email-masked]] 
> Gesendet: Mittwoch, 25. Oktober 2006 09:08
> An: [email-masked]
> Betreff: [Dime] FW:draft-kamble-dime-mip6-ha-aaa-00.txt 
> 
> Hi,
> 
> You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce

---

From: "Gerardo Giaretta" <[email-masked]>
Date: Wed, 25 Oct 2006 17:02:31 +0900

Hi Vishnu,

how does your draft relate with draft-ietf-mip6-aaa-ha-goals that is
in WGLC in MIP6 WG?

Thanks,
--Gerardo

---

From: "Ram O V Vishnu-A14676" <[email-masked]>
Date: Wed, 25 Oct 2006 21:29:17 +0800

Hi Gerardo,

I think it relates well. We can discuss more (if you are interested)
during IETF67.
--------------
Some notes which we made are:

5.1.  General goals: These General goals are satisfied by Diameter
protocol. 

5.2.  Service Authorization

   G2.1, G2.2, G2.3, G2.4, 2.5, 2.6 : looks ok. Unless you have specific
comments.

5.3.  Accounting

   G3.1  currently we are not handling accounting. Will add.

5.4.  Mobile Node Authentication

   G4.1:  I think we are currently independant of EAP. I dont think we
will have any problem with HA as pass through authenticator.

5.5.  Provisioning of Configuration Parameters

   G5.1: done, 
   G5.2: will add.

6.  Goals for the Integrated Scenario

   As I was telling Hannes, we would probably rely on "push" scenario in
draft-tschofenig-dime-mip6-integrated-00.txt, whereas we define a "pull"
scenario between HA-AAA.

Regards,
Vishnu.

Motorola
+91 9844178052
[*] General

-----Original Message-----
From: Gerardo Giaretta [mailto:[email-masked]] 
Sent: Wednesday, October 25, 2006 1:33 PM
To: Ram O V Vishnu-A14676
Cc: [email-masked]
Subject: Re: [Dime] FW:draft-kamble-dime-mip6-ha-aaa-00.txt

Hi Vishnu,

how does your draft relate with draft-ietf-mip6-aaa-ha-goals that is in
WGLC in MIP6 WG?

Thanks,
--Gerardo

> the message. You can also visit 
> logging in, type "cd internet-drafts" and then "get 
> draft-kamble-dime-mip6-ha-aaa-00.txt".
>
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Hannes Tschofenig <[email-masked]>
Date: Wed, 25 Oct 2006 15:41:19 +0200

Hi Vishnu,

I think I found the confusion. You read 
draft-tschofenig-dime-mip6-integrated-00.txt but we are, however, 
already working on draft-ietf-dime-mip6-split-01.txt & 
draft-ietf-dime-mip6-integrated-01.txt.

Ciao
Hannes

---

From: "Ram O V Vishnu-A14676" <[email-masked]>
Date: Thu, 26 Oct 2006 20:06:16 +0800

Hannes,

Thanks for sending the updated drafts. Sorry, but interestingly, I got
the I-D announce for these drafts (and hence the access to these drafts)
much after your email!!

As it stands, draft-ietf-dime-mip6-split-01.txt section 10.4 is where
our draft relates to.

Regards,
Vishnu.

Motorola
+91 9844178052
[*] General

-----Original Message-----
From: Hannes Tschofenig [mailto:[email-masked]] 
Sent: Wednesday, October 25, 2006 7:11 PM
To: Ram O V Vishnu-A14676
Cc: Gerardo Giaretta; [email-masked]
Subject: Re: [Dime] FW:draft-kamble-dime-mip6-ha-aaa-00.txt

Hi Vishnu,

Ciao
Hannes

Ram O V Vishnu-A14676 wrote:
>    G2.1, G2.2, G2.3, G2.4, 2.5, 2.6 : looks ok. Unless you have 
> specific comments.
> 
> 5.3.  Accounting
> 

>    As I was telling Hannes, we would probably rely on "push" scenario 
> in draft-tschofenig-dime-mip6-integrated-00.txt, whereas we define a 
> "pull" scenario between HA-AAA.
>  
> 
> Regards,
> Vishnu.
> 
> Motorola
> +91 9844178052
> [*] General
(http://www.ietf.org/internet-drafts/draft-kamble-dime-mip6-ha-aaa-00.
>> tx
http://www.ietf.org/internet-drafts/draft-kamble-dime-mip6-ha-aaa-00.t
>> xt

---

From: Julien Bournelle <[email-masked]>
Date: Thu, 26 Oct 2006 14:22:48 +0200

hi,

> As it stands, draft-ietf-dime-mip6-split-01.txt section 10.4 is where

 if this is the case, maybe you should rename your draft to avoid
 confusion :).

 (As I said earlier, i tend to think that we should deal with 4285 in
 another document).

 regards,

 Julien

-- 
julien.bournelle at int-evry.fr

---

From: "Tschofenig, Hannes" <[email-masked]>
Date: Thu, 26 Oct 2006 14:40:51 +0200

Hi Vishnu, 

thank you for your response. It clarifies a few things. 

The reason why draft-ietf-dime-mip6-split-01.txt does not provide a lot of info with respect this RFC 4285 is that the DIME work on MIPv6 bootstrapping is very much driven by the MIP6 working group: We develop the backend story of their frontend solution. The MIPv6 working group has compiled a document that describes what we should do (see draft-ietf-mip6-aaa-ha-goals, as indicated by Gerardo). We are supposed to work on the IPsec/IKEv2-based security mechanisms. 

We obviously came across RFC 4285 in this context and we wheren't quite sure whether additional aspects need to be addressed. In fact I have asked the MIP6 working group whether they see a need to cover RFC 4285:

http://www1.ietf.org/mail-archive/web/dime/current/msg00815.html
http://www1.ietf.org/mail-archive/web/mip6/current/msg05312.html
http://www1.ietf.org/mail-archive/web/dime/current/msg00884.html

There was very little response hinting that no work is demanded. 

I don't know if they have changed their mind already. If they did then we need to discuss and address this aspect as well where your draft would certainly be a very valuable contribution to this work. 

Ciao
Hannes

> Gesendet: Donnerstag, 26. Oktober 2006 14:06
> An: Hannes Tschofenig
> Cc: [email-masked]
> Betreff: RE: [Dime] FW:draft-kamble-dime-mip6-ha-aaa-00.txt
> 
> Hannes,
> 
> >>         "FILE 
> /internet-drafts/draft-kamble-dime-mip6-ha-aaa-00.txt".
> >>
> >>         command.  To decode the response(s), you will need 
> "munpack"
> > or
> >>         up into multiple messages), so check your local 
> documentation
> > on